package hu.kozadat.search.model;

import java.io.Serializable;

/**
 * Created with IntelliJ IDEA.
 * User: tnagy
 * Date: 2012.06.29.
 * Time: 15:43
 */
public class FormChangeAwareSearchResult implements Serializable {

    private int formHashCode = -1;

    public int getFormHashCode() {
        return formHashCode;
    }

    public void setFormHashCode(int formHashCode) {
        this.formHashCode = formHashCode;
    }

    public void setFormHashCode(Object form) {
        if (form != null) {
            this.formHashCode = form.hashCode();
        }
    }

    public boolean hasFormChange(Object form) {
        return form == null || formHashCode != form.hashCode();
    }

}
