package hu.kozadat.search.model;

import hu.scriptum.mdc.datatype.MDcRecord;

import java.util.Date;


/**
 * Egy talalat adatainak reprezentalasa.
 *
 * @author Csaba Horvath, Scriptum Inc.
 * @version $Id$
 */
public class ResultItem {
    private String metadataType;
    private String dataProvider;
    private long dataProviderId;
    private String id;
    private String resultHtmlFragment;
    private MDcRecord record;
    private String title;
    private Date modificationDate;

    private String url;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getMetadataType() {
        return metadataType;
    }

    public void setMetadataType(String metadataType) {
        this.metadataType = metadataType;
    }

    public String getDataProvider() {
        return dataProvider;
    }

    public void setDataProvider(String dataProvider) {
        this.dataProvider = dataProvider;
    }

    public long getDataProviderId() {
        return dataProviderId;
    }

    public void setDataProviderId(long dataProviderId) {
        this.dataProviderId = dataProviderId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getResultHtmlFragment() {
        return resultHtmlFragment;
    }

    public void setResultHtmlFragment(String resultHtmlFragment) {
        this.resultHtmlFragment = resultHtmlFragment;
    }

    public MDcRecord getRecord() {
        return record;
    }

    public void setRecord(MDcRecord record) {
        this.record = record;
    }

    public Date getModificationDate() {
        return modificationDate;
    }

    public void setModificationDate(Date modificationDate) {
        this.modificationDate = modificationDate;
    }
}
