package hu.kozadat.search.interactive;

/**
 * User: codex
 */
public class NamespaceEntitySearchTerm implements IInteractiveSearchTerm {
    private String id;
    private String name;
    private String operator;

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String toQueryFragment(boolean isFirstTerm) {
        StringBuffer out = new StringBuffer();

        if (!isFirstTerm) {
            out.append(" ").append(operator).append(" ");
        }

        out.append("( ");
        out.append("\"").append(name).append("\"");
        out.append(" )");

        return out.toString();
    }

    public boolean isEmpty() {
        return false;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(operator).append(" ").append(id).append(" in ").append(name).append(" ");
        return sb.toString();
    }

}
