package hu.kozadat.search.model;

import java.io.Serializable;
import java.util.Comparator;

/**
 * Created with IntelliJ IDEA.
 * User: tnagy
 * Date: 2013.11.19.
 * Time: 10:30
 */
public class IndexerSearchResultItemComparator implements Comparator<IndexerSearchResultItem>, Serializable {

    @Override
    public int compare(IndexerSearchResultItem o1, IndexerSearchResultItem o2) {
        if (o1.getDataProviderId().compareTo(o2.getDataProviderId()) > 0) {
            return -1;
        } else if (o1.getDataProviderId().compareTo(o2.getDataProviderId()) < 0) {
            return 1;
        }

        if (o1.getSchemaType().compareTo(o2.getSchemaType()) < 0) {
            return -1;
        } else if (o1.getSchemaType().compareTo(o2.getSchemaType()) > 0) {
            return 1;
        }

        if (o1.getRecordId().compareTo(o2.getRecordId()) < 0) {
            return -1;
        } else if (o1.getRecordId().compareTo(o2.getRecordId()) > 0) {
            return 1;
        }

        return 0;
    }


}
