package hu.kozadat.search.presentation;

import hu.kozadat.search.persistence.DataProviderOperations;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.view.RedirectView;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * Talalati lista elotti action. Csak a session lejartat ellenorzi,
 * a tobbit a results.jsp oldal intezi.
 *
 * @author Csaba Horvath, Scriptum Inc.
 * @version $Id$
 */
@Deprecated
// @Controller
public class ResultListController {

    private DataProviderOperations dataProviderOperations;

    @Autowired
    public void setDataProviderOperations(DataProviderOperations dataProviderOperations) {
        this.dataProviderOperations = dataProviderOperations;
    }

    protected List getSupportedSchemas() throws Exception {
        List schemas = dataProviderOperations.getSupportedSchemas();

        return schemas;
    }

    @RequestMapping("/results.html")
    public ModelAndView handleRequest(HttpServletRequest request, HttpServletResponse response) throws Exception {
        if (request.getSession().getAttribute("resultMap") == null) {
            return new ModelAndView(new RedirectView("index.html", true));
        }

        request.setAttribute("schemas", getSupportedSchemas());
        return new ModelAndView("results");
    }

}
