package hu.kozadat.search.web.map;

/**
 * Created by IntelliJ IDEA.
 * User: tnagy
 * Date: 2009.12.19.
 * Time: 15:54:15
 */
public enum MapLayout {
    DataProvider("dataProvider"),
    District("district"),
    Settlement("settlement"),
    SubRegion("subRegion"),
    County("county"),
    Region("region");

    private String name;

    MapLayout(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static MapLayout getLayout(String name) {
        if (DataProvider.getName().equalsIgnoreCase(name)) {
            return DataProvider;
        } else if (District.getName().equalsIgnoreCase(name)) {
            return District;
        } else if (Settlement.getName().equalsIgnoreCase(name)) {
            return Settlement;
        } else if (SubRegion.getName().equalsIgnoreCase(name)) {
            return SubRegion;
        } else if (County.getName().equalsIgnoreCase(name)) {
            return County;
        } else if (Region.getName().equalsIgnoreCase(name)) {
            return Region;
        } else {
            return DataProvider;
        }
    }
}
